APIVoid logo

HTTP3 Status API Reference

Check if a website supports the HTTP/3 protocol, with details about the negotiated protocol and Alt-Svc header.

Service details and pricing: HTTP3 Status API

POSThttps://api.apivoid.com/v2/http3-status
1 credit per successful requestPOST · JSON

Request example

Query the endpoint via an HTTPS POST request (replace YOUR_API_KEY_HERE with your API key):

curl
curl -X POST "https://api.apivoid.com/v2/http3-status" \
     -H "Content-Type: application/json" \
     -H "X-API-Key: YOUR_API_KEY_HERE" \
     -d '{"url": "https://www.google.com/"}'

The same request in PHP:

php
$url = 'https://www.google.com/';

$apiKey = 'YOUR_API_KEY_HERE';

$curl = curl_init('https://api.apivoid.com/v2/http3-status');
curl_setopt($curl, CURLOPT_HTTPHEADER, ['Content-Type: application/json', 'X-API-Key: ' . $apiKey]);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode(['url' => $url]));
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
curl_close($curl);

if ($httpCode === 200) {
    $responseData = json_decode($response, true);
    print_r($responseData);
} else {
    print_r('An error occurred: '.$response);
}

Request parameters

Required

urlstringRequired

URL to submit, e.g. https://www.google.com/.

Response example

A successful request returns HTTP 200 with a JSON body:

json · 200
{
    "url": "https://www.google.com/",
    "status_code": 200,
    "status_message": "OK",
    "http3_supported": true,
    "protocol": "HTTP/3.0",
    "response_headers": {
        "accept-ch": [
            "Sec-CH-Prefers-Color-Scheme"
        ],
        "alt-svc": [
            "h3=\":443\"; ma=2592000,h3-29=\":443\"; ma=2592000"
        ],
        "cache-control": [
            "private, max-age=0"
        ],
        "content-security-policy-report-only": [
            "object-src 'none';base-uri 'self';script-src 'nonce-B0aSTNNTysfKPA7d8BAOdA' 'strict-dynamic' 'report-sample' 'unsafe-eval' 'unsafe-inline' https: http:;report-uri https://csp.withgoogle.com/csp/gws/other-hp"
        ],
        "content-type": [
            "text/html; charset=UTF-8"
        ],
        "cross-origin-opener-policy": [
            "same-origin-allow-popups; report-to=\"gws\""
        ],
        "date": [
            "Fri, 03 Oct 2025 15:35:55 GMT"
        ],
        "expires": [
            "-1"
        ],
        "p3p": [
            "CP=\"This is not a P3P policy! See g.co/p3phelp for more info.\""
        ],
        "report-to": [
            "{\"group\":\"gws\",\"max_age\":2592000,\"endpoints\":[{\"url\":\"https://csp.withgoogle.com/csp/report-to/gws/other\"}]}"
        ],
        "server": [
            "gws"
        ],
        "set-cookie": [
            "AEC=AaJma5uUxjd8HNsGvWJdYQa7DYFnfSWk9yZxU6KnTGd6CMJfoADGMaryeWo; expires=Wed, 01-Apr-2026 15:35:55 GMT; path=/; domain=.google.com; Secure; HttpOnly; SameSite=lax",
            "NID=525=gXVZloTgRJJTjXftI0Red_LcofkT_At9KtmE4YgmpyUjYPNvkhzIxbkNyH4BYU6u1VSt_z9O6yKXn3XPpctAdAW0mW7tICtkgub0tKrB8WtBhYxt2zAmbnzlkP7EHCms07uFEcSoO1on0i8C9K-cMqd0QvjuBC39u6sp9LCa-i4Eg2EHZmNGeARlKf5vfhqpliVCP6MFi_j7Bn8ND3AkEUg; expires=Sat, 04-Apr-2026 15:35:55 GMT; path=/; domain=.google.com; Secure; HttpOnly; SameSite=none"
        ],
        "x-frame-options": [
            "SAMEORIGIN"
        ],
        "x-xss-protection": [
            "0"
        ]
    },
    "alpn_identifiers": [
        "h3",
        "h3-29"
    ],
    "elapsed_ms": 90
}

Response fields

The fields returned in the JSON response:

urlstring

URL submitted for the HTTP/3 check.

status_codeinteger

HTTP status code returned by the server.

status_messagestring

HTTP status message returned by the server, e.g. OK.

http3_supportedboolean

Returns true if the server supports HTTP/3.

protocolstring

HTTP protocol version used for the response, e.g. HTTP/3.0.

response_headersobject

HTTP response headers returned by the server, keyed by lowercase header name.

alpn_identifiersarray

ALPN identifiers advertised by the server, e.g. h3, h3-29.

elapsed_msinteger

Time taken to process the request, in milliseconds.